aboutsummaryrefslogtreecommitdiff
path: root/audio/libamrwb/files/patch-prepare_sources.sh
diff options
context:
space:
mode:
authorMartin Wilke <miwi@FreeBSD.org>2007-07-14 21:39:54 +0000
committerMartin Wilke <miwi@FreeBSD.org>2007-07-14 21:39:54 +0000
commit08b574207595f41bec773a876c9b3586b11878ae (patch)
treee242ef80f9b5948d4d177e61cff39aafb95af347 /audio/libamrwb/files/patch-prepare_sources.sh
parentbd248d23564c3bf784600de05100437f0b5ceca0 (diff)
- Fix Build
- Makefile cleanup PR: 113641 Submitted by: pointyhat via kris/pav Tatsuki Makino <tatsuki_makino@hotmail.com> (Maintainer) Thanks to: Fredrik Lindberg, linimon Reviewed by: sat
Notes
Notes: svn path=/head/; revision=195611
Diffstat (limited to 'audio/libamrwb/files/patch-prepare_sources.sh')
-rw-r--r--audio/libamrwb/files/patch-prepare_sources.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/audio/libamrwb/files/patch-prepare_sources.sh b/audio/libamrwb/files/patch-prepare_sources.sh
new file mode 100644
index 000000000000..3dc6ae8f030c
--- /dev/null
+++ b/audio/libamrwb/files/patch-prepare_sources.sh
@@ -0,0 +1,31 @@
+--- prepare_sources.sh.orig Thu Jun 7 00:29:29 2007
++++ prepare_sources.sh Sun Jul 15 01:00:53 2007
+@@ -1,10 +1,10 @@
+-#! /bin/bash
++#! /bin/sh
+
+ set -o errexit
+-trap "rm -rf c-code *.c *.h readme.txt *.new *.def *.all" ERR
++trap "rm -rf c-code *.c *.h readme.txt *.new *.def *.all" 0
+
+ if [ "$0" = prepare_sources.sh ] ; then
+- cd "$(if ! which 2>/dev/null prepare_sources.sh ; then echo . fi )"
++ cd "$(if ! which 2>/dev/null prepare_sources.sh ; then echo . ; fi )"
+ else
+ cd "${0%/*}"
+ fi
+@@ -24,7 +24,7 @@
+ patch <amrwb-any-cflags.patch
+ patch <amrwb-dhf-declaration.patch
+
+-for FILE in {dec,enc}_if.{c,h} ; do
++for FILE in dec_if.[ch] enc_if.[ch] ; do
+ echo "modifying file $FILE"
+ if test $FILE = ${FILE%.h} ; then
+ ENDSTRING="^}"
+@@ -47,3 +47,5 @@
+ mv $FILE.new $FILE
+ rm $FILE.def $FILE.all
+ done
++
++trap 0